Create an SBM server

POST/v1/hosts/sbm_servers

A POST request to /v1/hosts/sbm_servers will create a new SBM server. Specify order details in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/hosts/sbm_servers" \  -H "Content-Type: application/json" \  -d '{    "sbm_flavor_model_id": 553,    "location_id": 257,    "hosts": [      {        "hostname": "example.aa",        "public_ipv4_network_id": "lNbWQWey",        "private_ipv4_network_id": "oQeZzvep",        "labels": {          "environment": "production",          "service": "my-web-app",          "example.com/project": "my-project",          "example.com/owner": "my-team"        }      },      {        "hostname": "example.bb",        "labels": {          "environment": "production",          "service": "my-web-app",          "example.com/project": "my-project",          "example.com/owner": "my-team"        }      }    ],    "operating_system_id": 42  }'
[  {    "id": "J0dNOLeL",    "rack_id": null,    "title": "example.aa",    "location_id": 257,    "location_code": "location538",    "status": "init",    "operational_status": "provisioning",    "power_status": "unknown",    "configuration": "1 x cpu_name, 4096 GB, hdd-model-630 x 1, hdd-model-631 x 1",    "private_ipv4_address": "10.128.1.4",    "public_ipv4_address": "100.0.8.4",    "lease_start_at": null,    "scheduled_release_at": null,    "type": "sbm_server",    "oob_ipv4_address": null,    "configuration_details": {      "ram_size": 4096,      "sbm_flavor_model_id": 553,      "sbm_flavor_model_name": "flavor-model-629",      "bandwidth_id": 550,      "bandwidth_name": "20000 GB",      "private_uplink_id": 549,      "private_uplink_name": "Private 1 Gbps without redundancy",      "public_uplink_id": 548,      "public_uplink_name": "Public 1 Gbps without redundancy",      "operating_system_id": 42,      "operating_system_full_name": "CentOS 7 x86_64"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T06:56:43Z",    "updated_at": "2026-05-28T06:56:43Z"  },  {    "id": "3YaOggax",    "rack_id": null,    "title": "example.bb",    "location_id": 257,    "location_code": "location538",    "status": "init",    "operational_status": "provisioning",    "power_status": "unknown",    "configuration": "1 x cpu_name, 4096 GB, hdd-model-630 x 1, hdd-model-631 x 1",    "private_ipv4_address": null,    "public_ipv4_address": null,    "lease_start_at": null,    "scheduled_release_at": null,    "type": "sbm_server",    "oob_ipv4_address": null,    "configuration_details": {      "ram_size": 4096,      "sbm_flavor_model_id": 553,      "sbm_flavor_model_name": "flavor-model-629",      "bandwidth_id": 550,      "bandwidth_name": "20000 GB",      "private_uplink_id": 549,      "private_uplink_name": "Private 1 Gbps without redundancy",      "public_uplink_id": 548,      "public_uplink_name": "Public 1 Gbps without redundancy",      "operating_system_id": 42,      "operating_system_full_name": "CentOS 7 x86_64"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T06:56:43Z",    "updated_at": "2026-05-28T06:56:43Z"  }]
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "sbm_flavor_model_id": "SBM flavor model doesn't exist",    "hosts.0.private_ipv4_network_id": "can't be ordered without private uplink",    "hosts.0.public_ipv4_network_id": "can't be ordered without public uplink"  }}